Skip to content

Get Metric Records Data

Request

Get data of specific metric records (unaggregated)

Security
ApiKeyAuth
Query
pageLimitinteger, (int32)

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKeystring

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

Bodyapplication/jsonrequired

The available request filters for fetching the metric records data

One of:
idstringrequired
csidFilterArray of integers, (int64), non-empty
filtersArray of objects(Filter)
timezonestringrequired
POST
/v1/analytics/records
curl -i -X POST \
  'https://dev.dixa.io/v1/analytics/records?pageLimit=0&pageKey=string' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "closed_conversations",
    "periodFilter": {
      "value": {
        "_type": "PreviousWeek"
      },
      "_type": "Preset"
    },
    "filters": [
      {
        "attribute": "initial_direction",
        "values": [
          "INBOUND"
        ]
      }
    ],
    "timezone": "Europe/Copenhagen"
  }'

Responses

The metric records data

Bodyapplication/json
dataArray of objects(MetricRecord)
metaobject(PaginationLinks)
Response
{ "data": [ {}, {} ] }